/**
 * 
 */
package org.ow2.petals.registry.api;

import javax.xml.namespace.QName;

/**
 * This is a simple query where each parameter is linked with AND ie if endpoint
 * and service are not null, the query will be"Give me all the endpoints where the endpoint name is 'endpoint' and where the service name is 'service'"
 * 
 * @author chamerling
 * 
 */
public class Query {

    private QName endpoint;

    private QName service;

    private QName itf;

    private String component;

    private String container;

    private String subDomain;

    private String type;

    public Query() {
    }

    public Query(QName endpoint, QName service, QName itf) {
        this();
        this.endpoint = endpoint;
        this.service = service;
        this.itf = itf;
    }

    public QName getInterface() {
        return this.itf;
    }

    public void setInterface(QName itf) {
        this.itf = itf;
    }

    public QName getEndpoint() {
        return this.endpoint;
    }

    public void setEndpoint(QName endpoint) {
        this.endpoint = endpoint;
    }

    public QName getService() {
        return this.service;
    }

    public void setService(QName service) {
        this.service = service;
    }

    public String getComponent() {
        return this.component;
    }

    public void setComponent(String component) {
        this.component = component;
    }

    public String getContainer() {
        return this.container;
    }

    public void setContainer(String container) {
        this.container = container;
    }

    public String getSubDomain() {
        return this.subDomain;
    }

    public void setSubDomain(String subDomain) {
        this.subDomain = subDomain;
    }

    @Override
    public String toString() {
        StringBuilder builder = new StringBuilder();
        builder.append("Query [component=");
        builder.append(this.component);
        builder.append(", container=");
        builder.append(this.container);
        builder.append(", endpoint=");
        builder.append(this.endpoint);
        builder.append(", interface=");
        builder.append(this.itf);
        builder.append(", service=");
        builder.append(this.service);
        builder.append(", subDomain=");
        builder.append(this.subDomain);
        builder.append("]");
        return builder.toString();
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }

}
