/*
 * Copyright (c) 2009 EBM Websourcing, http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.registry.api.ws.service;

import java.util.List;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;

import org.ow2.petals.registry.api.ws.RemoteRegistryException;
import org.ow2.petals.registry.api.ws.to.Endpoint;

/**
 * The registry client service is used by WS clients to connect to the registry
 * and to manipulate endpoints
 * 
 * @author Christophe HAMERLING - eBM WebSourcing
 * 
 */
@WebService
public interface RegistryClientService {

    @WebMethod
    boolean put(@WebParam(name = "path") String path,
            @WebParam(name = "endpoint") Endpoint endpoint,
            @WebParam(name = "propagate") boolean propagate) throws RemoteRegistryException;

    @WebMethod
    @WebResult(name = "endpoint")
    Endpoint get(@WebParam(name = "path") String path,
            @WebParam(name = "remote") boolean searchRemote) throws RemoteRegistryException;

    @WebMethod
    @WebResult(name = "endpoint")
    List<Endpoint> getAll(@WebParam(name = "path") String path,
            @WebParam(name = "remote") boolean searchRemote) throws RemoteRegistryException;

    @WebMethod
    boolean delete(@WebParam(name = "path") String path,
            @WebParam(name = "propagate") boolean propagate) throws RemoteRegistryException;

}
